import network
import time

def connect_to_wifi(ssid, password):
    # Cria uma interface WLAN no modo Station
    sta_if = network.WLAN(network.STA_IF)
    sta_if.active(True)
    
    # Conecta à rede Wi-Fi especificada
    print(f"Conectando-se à rede {ssid}...")
    sta_if.connect(ssid, password)
    
    # Aguarda a conexão
    while not sta_if.isconnected():
        print("Tentando conectar...")
        time.sleep(1)
    
    # Exibe o endereço IP após a conexão
    print("Conectado com sucesso!")
    print("Configurações de rede:", sta_if.ifconfig())
    print("Endereço IP do ESP32:", sta_if.ifconfig()[0])

def main():
    # Substitua 'seu_ssid' e 'sua_senha' com o SSID e a senha da sua rede Wi-Fi
    ssid = 'seu_ssid'
    password = 'sua_senha'
    
    connect_to_wifi(ssid, password)

if __name__ == "__main__":
    main()